1. 31 Dec, 2018 1 commit
  2. 16 Sep, 2018 1 commit
  3. 31 Jul, 2018 1 commit
  4. 04 Feb, 2018 1 commit
    • Daniel King's avatar
      Upgrade Vagrant box to Xenial (#6421) · 258dcb84
      Daniel King authored
      * upgrade vagrant box to xenial
      
      this allows the redis version to be upgraded to support the new redis
      features used in the activity tracker
      
      * add libpam0g package to vagrant box
      
      this is required for native extensions of gems to build after the
      addition of PAM support was added in #5303
      258dcb84
  5. 31 Jan, 2018 1 commit
  6. 17 Jul, 2017 1 commit
  7. 08 Jul, 2017 1 commit
  8. 22 Jun, 2017 2 commits
  9. 09 May, 2017 1 commit
    • Akihiko Odaki's avatar
      Use CLD3 (#2949) · d5cabfe5
      Akihiko Odaki authored
      Compact Language Detector v3 (CLD3) is the successor of CLD2, which was
      used in the previous implementation. CLD3 includes improvements since CLD2,
      and supports newer compilers. On the other hand, it has additional
      requirements and cld3-ruby, the FFI of CLD3 for Ruby, is still new and may
      be still inmature.
      
      Though CLD3 is named after CLD2, it is implemented with a neural network
      model, different from the old implementation, which is based on a Naïve
      Bayesian classifier.
      
      CLD3 supports newer compilers, such as GCC 6. CLD2 is not compatible with
      GCC 6 because it assigns negative values to varibales typed unsigned.
      (see internal/cld_generated_cjk_uni_prop_80.cc) The support for GCC 6 and
      newer compilers are essential today, when some server operating system
      such as Ubuntu Server 16.10 has GCC 6 by default.
      
      On the one hand, CLD3 requires C++11 support. Environments with old
      compilers such as Ubuntu Server 14.04 needs to update the system or install
      a newer compiler.
      
      CLD3 needs protocol buffers as a new dependency. However,it is not
      considered problematic because major server operating systems, CentOS and
      Ubuntu Server provide them.
      
      The FFI cld3-ruby was written by me (Akihiko Odaki) for use in Mastodon.
      It is still new and may be inmature, but confirmed to pass existing tests.
      d5cabfe5
  10. 04 May, 2017 2 commits
  11. 03 May, 2017 1 commit
  12. 23 Apr, 2017 2 commits
  13. 21 Apr, 2017 1 commit
  14. 17 Apr, 2017 1 commit
  15. 14 Apr, 2017 1 commit
  16. 11 Apr, 2017 1 commit
  17. 06 Apr, 2017 1 commit
  18. 05 Apr, 2017 1 commit
  19. 12 Jan, 2017 1 commit
  20. 08 Jan, 2017 1 commit
    • vjackson725's avatar
      Fix Vagrantfile to include yarn · db3d5d81
      vjackson725 authored
      The current Vagrantfile fails to build upon provisioning, as it lacks yarn.
      
      Change the Vagrantfile to add the yarn repository, and install yarn.
      db3d5d81
  21. 07 Jan, 2017 2 commits